Skip to content

Brazil payout - V1

Deprecated
PUT
/order/v1/payout/brazil
  Request a payout for Brazil country
  

NOTE: Please, to authenticate use the scope: “api://app-order-hml”

idempotency-key
required
string format: uuid

A unique identifier for the message with a maximum of 64 characters (we recommend a UUID).

object
amount
required

The payout amount

object
currency
required

The currency of the transaction.

string
Allowed values: BRL USDT
value
required

The amount of the transaction, in minor units.

Minor Units Format

All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Brazilian Real): R$ 10.95 BRL, amount will be “10.95”.

Click in the link bellow to see the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency.

https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes

string
paymentMethod

Payment Method

string
Allowed values: PIX TED TETHER
customer
required

The payout customer

object
fullName
required

Customer fullName

string
email

Customer email

string
phone

Customer phone

string
birth

The date of birth or foundation, in ISO-8601 YYYY-MM-DD format.

string
document
required

Document

object
type
required

The document type

string
Allowed values: CPF CNPJ
number
required

The document number

string
bank
required

The payout bank information

OBS: If you send this pix data, you don’t need to send the account data or vice-versa

object
pix
required

Pix information data

OBS: If you send this data, you don’t need to send the account data

object
type
required

The type of pix

string
Allowed values: CPF CNPJ EMAIL PHONE RANDOM
key
required

The key of pix

string
account
required

Bank account information data

OBS: If you send this data, you don’t need to send the pix data

object
bankNumber
required

The bank number accept the ISPB or COMPE number.

ISPB number is composed by 8 numerical digits like “12345678”. If you decide to use the IPSB, you can find it in the bank list in the following link: https://www.bcb.gov.br/estabilidadefinanceira/participantespix

COMPE number is composed by 3 numerical digits like “123”. If you decide to use the COMPE, you can find it in the bank list in the following link: https://www.bcb.gov.br/content/estabilidadefinanceira/str1/ParticipantesSTR.pdf

string
branchNumber
required

The bank branch number (Agência)

string
accountNumber
required

The bank account number, if it has a digit, it must be separated by a hyphen Examples: - 12345-2 - 123452 - 12345 67890 09876 54321 - 12345678900987654321

string
crypto

Crypto

object
address
required

The crypto wallet address

string
memo
required

The memo

string
description
required

The payout description.

string
webhookUrl
required

The webhook url to receive the payout status

string
code
required

Order id in your system.

string

The resource was returned successfully

object
id
required

Payout id, unique identification

string
amount
required

Payout amout

string
status
required

Payout status

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
fee

Fee

object
fixed
required

Fixed fee amount

object
variable
required

Variable fee amount

object
additional
required

Addictional fee amount

object
errorMessage
required

Payout error message

string
createdAt
required

Payout creation date

string
batch

Batch information when this payout was split into a batch

object
id
required

Id of the batch

string
transactionsCount
required

Total number of child transactions in the batch

number
paidCount
required

Number of child transactions already paid

number
failedCount
required

Number of child transactions that failed

number
pendingCount
required

Number of child transactions still pending

number
paidAmount
required

Amount already paid across all child transactions

string
pendingAmount
required

Amount still pending across all child transactions

string
transactions
required

Child transactions the batch was split into

Array<object>
object
id
required

Id of this child transaction

string
idempotencyKey
required

Idempotency key of this child transaction - the first child reuses the batch idempotencyKey verbatim, later ones suffix it

string
sequence
required

Ordering position of this child transaction within the batch

number
amount
required

Amount of this child transaction

string
status
required

Status of this child transaction

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
endToEndId

End-to-end id of this child transaction

string
paidAt

Date this child transaction was paid

string
errorMessage

Error message when this child transaction failed

string

The request is not valid

Array<string>

Unauthorized Request

Array<string>

An unexpected error occurred inside the server

Array<string>